# Class MolstarManagerFactory<P, L>

#### Type Parameters

- #### P

- #### L

#### Hierarchy

- MolstarManagerFactory

#### Implements

- ViewerManagerFactoryInterface<LoadMolstarInterface<P, L>, L, {
  viewerElement: string | HTMLElement;
  viewerProps: Partial<ViewerProps>;
  }>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarManagerFactory.ts:9

#####
Index

### Constructors

constructor

### Properties

getModelIdFromTrajectory

### Methods

getViewerManagerFactory

## Constructors

### constructor

- new MolstarManagerFactory<P, L>(getModelIdFromTrajectory): MolstarManagerFactory<P, L>

- #### Type Parameters

  - #### P

  - #### L

  #### Parameters

  - ##### getModelIdFromTrajectory: ((trajectory) => undefined | string)

    - - (trajectory): undefined | string

      - #### Parameters

        - ##### trajectory: L

        #### Returns undefined | string

  #### Returns MolstarManagerFactory<P, L>

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarManagerFactory.ts:13

## Properties

### `Private` `Readonly` getModelIdFromTrajectory

getModelIdFromTrajectory: ((trajectory) => undefined | string)

#### Type declaration

- - (trajectory): undefined | string

  - #### Parameters

    - ##### trajectory: L

    #### Returns undefined | string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarManagerFactory.ts:11

## Methods

### getViewerManagerFactory

- getViewerManagerFactory(stateManager, viewerParams): {
  actionManager: MolstarActionManager<P, L>;
  callbackManager: MolstarCallbackManager;
  }

- #### Parameters

  - ##### stateManager: RcsbFvStateInterface

  - ##### viewerParams: {
    viewerElement: string | HTMLElement;
    viewerProps: Partial<ViewerProps>;
    }

    - ##### viewerElement: string | HTMLElement

    - ##### viewerProps: Partial<ViewerProps>

  #### Returns {
  actionManager: MolstarActionManager<P, L>;
  callbackManager: MolstarCallbackManager;
  }

  - ##### actionManager: MolstarActionManager<P, L>

  - ##### callbackManager: MolstarCallbackManager

  Implementation of ViewerManagerFactoryInterface.getViewerManagerFactory

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarManagerFactory.ts:17

Generated using TypeDoc